%define	name	up
%define	version	0.3
%define	release 2mdk

Summary:	Displays the uptime in a human readable format
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Base
URL:		http://www.burdell.org/up.php3
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
up displays the uptime of the system accounting for decades, years, weeks,
days, hours, and minutes.  It can output the uptime in its standard hardcore
format or the standard 'uptime' (that program that comes with procps) format
for quick comparisons with other systems.

%prep
rm -rf %{buildroot}
%setup -n %{name}-%{version}

%build
gcc %{optflags} -o up up.c

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man1
install -m755 up %{buildroot}%{_bindir}/
install -m644 up.1 %{buildroot}%{_mandir}/man1/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README ChangeLog
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Sat Dec 22 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3-2mdk
- removed requires.

* Sat Dec  8 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3-1mdk
- initial cooker contrib.
